Loading...
Searching...
No Matches
_GradientInfo Struct Reference

## Data Fields

GradientType | type
RectangleInfo | bounding_box
SegmentInfo | gradient_vector
StopInfo * | stops
size_t | number_stops
SpreadMethod | spread
MagickBooleanType | debug
PointInfo | center
PointInfo | radii
double | radius
double | angle
size_t | signature

## Detailed Description

Definition at line 155 of file draw.h.

## Field Documentation

## angle

double _GradientInfo::angle

Definition at line 184 of file draw.h.

## bounding_box

RectangleInfo _GradientInfo::bounding_box

Definition at line 161 of file draw.h.

## center

PointInfo _GradientInfo::center

Definition at line 179 of file draw.h.

## debug

MagickBooleanType _GradientInfo::debug

Definition at line 176 of file draw.h.

## gradient_vector

SegmentInfo _GradientInfo::gradient_vector

Definition at line 164 of file draw.h.

## number_stops

size_t _GradientInfo::number_stops

Definition at line 170 of file draw.h.

## radii

PointInfo _GradientInfo::radii

Definition at line 180 of file draw.h.

## radius

double _GradientInfo::radius

Definition at line 183 of file draw.h.

## signature

size_t _GradientInfo::signature

Definition at line 187 of file draw.h.

## spread

SpreadMethod _GradientInfo::spread

Definition at line 173 of file draw.h.

## stops

StopInfo* _GradientInfo::stops

Definition at line 167 of file draw.h.

## type

GradientType _GradientInfo::type

Definition at line 158 of file draw.h.

The documentation for this struct was generated from the following file:

- draw.h